=== debian/changelog ===
ignition-transport (1.3.0-5) unstable; urgency=medium

  * Fix use system gtest patch
    (Closes: #844878)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 28 Nov 2016 11:44:19 +0000

ignition-transport (1.3.0-4) unstable; urgency=medium

  * Fix pkgconfig file. Ignition transport 1.x series does not use ignition-msgs
   (Closes: #836384)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 10 Sep 2016 14:43:28 +0000

ignition-transport (1.3.0-3) unstable; urgency=medium

  * Added patch for pkgconfig file
   (Closes: #836384)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 06 Sep 2016 21:22:27 +0000

ignition-transport (1.3.0-2) unstable; urgency=medium

  * Fix compilation for protobuf3
    (Closes: #835429)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 30 Aug 2016 23:41:05 +0000

ignition-transport (1.3.0-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Remove old transitional package
  * Include all versions of ignition-transport cmake modules
  * Update standards version
  * Imported Upstream version 1.3.0 (Closes: #789379)
  * Do not use Node for testing but Uuid
  * Imported Upstream version 1.2.0

  [ Anton Gladky ]
  * Drop -dbg package

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 25 Jul 2016 16:58:56 +0000
