=== debian/control ===
Source: ignition-transport
Standards-Version: 3.9.8
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Testsuite: autopkgtest
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 9),
               python,
               ruby-ronn,
               libgtest-dev,
               libprotoc-dev,
               libprotobuf-dev,
               protobuf-compiler,
               uuid-dev,
               libzmq3-dev (>= 3.0.0)
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ignition-transport.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ignition-transport.git
Homepage: http://ignitionrobotics.org/libraries/transport

Package: libignition-transport1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Transport Library - Shared library
 Ignition transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Ignition Robtics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: libignition-transport-dev
Architecture: any
Section: libdevel
Depends: libignition-transport1 (= ${binary:Version}),
         uuid-dev,
         libzmq3-dev (>= 3.0.0),
         libprotobuf-dev,
         ${misc:Depends}
Breaks: libignition-transport0-dev (<< 1.0.0)
Replaces: libignition-transport-dev (<< 1.0.0)
Multi-Arch: same
Description: Ignition Robotics transport Library - Development files
 Ignition transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Ignition Robtics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
