=== test/performance/CMakeLists.txt ===
set(TEST_TYPE "PERFORMANCE")

set(tests
)

ign_build_tests(TYPE PERFORMANCE SOURCES ${tests})
