=== debian/changelog ===
ignition-transport (4.0.0+dfsg-4ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 14:50:59 +0200

ignition-transport (4.0.0+dfsg-4build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:24 +0100

ignition-transport (4.0.0+dfsg-4build1) disco; urgency=medium

  * No-change rebuild against latest protobuf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 15:42:21 -0500

ignition-transport (4.0.0+dfsg-4) unstable; urgency=medium

  * Include the missing the yaml file to fix current broken ign-tools support

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 09 Mar 2018 17:24:48 +0000

ignition-transport (4.0.0+dfsg-3) unstable; urgency=medium

  * Fix conflict with self -dev package

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 08 Mar 2018 23:01:16 +0000

ignition-transport (4.0.0+dfsg-2) unstable; urgency=medium

  * Include the ign-tools ruby module into the packaging
    (Closes: #892378)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 08 Mar 2018 15:47:09 +0000

ignition-transport (4.0.0+dfsg-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * New upstream version 4.0.0+dfsg
    (Closes: #883757)
    (Closes: #888017)

  [ Anton Gladky ]
  * Switch to compat-level 11
  * Set Standards-Version: 4.1.3
  * Update VCS-fields (move to salsa)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 05 Feb 2018 14:04:13 +0000
