=== debian/control ===
Source: ignition-transport
Standards-Version: 4.1.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               python2,
               ruby-ronn,
               libgtest-dev,
               libprotoc-dev,
               libprotobuf-dev,
               protobuf-compiler,
               uuid-dev,
               libzmq3-dev (>= 3.0.0),
               libignition-msgs-dev (>= 1.0.0+dfsg1-3),
               libignition-cmake-dev (>= 0.4.0)
Vcs-Browser: https://salsa.debian.org/science-team/ignition-transport
Vcs-Git: https://salsa.debian.org/science-team/ignition-transport.git
Homepage: https://ignitionrobotics.org/libs/transport

Package: libignition-transport4
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Transport Library - Shared library
 Ignition transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Ignition Robtics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the ignition transport libraries

Package: libignition-transport-dev
Depends: libignition-transport4-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package to migrate to version 4-dev. This should help
 to preparate user system to host collide installation of 4 and future versions.

Package: libignition-transport4-dev
Architecture: any
Section: libdevel
Depends: libignition-transport4 (= ${binary:Version}),
         uuid-dev,
         libzmq3-dev (>= 3.0.0),
         libprotobuf-dev,
         libignition-msgs-dev,
         libignition-cmake-dev (>= 0.4.0),
         ${misc:Depends}
Replaces: libignition-transport-dev
Multi-Arch: same
Description: Ignition Robotics transport Library - Development files
 Ignition transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Ignition Robtics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the ignition transport development headers and libraries
