=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

.PHONY: override_dh_auto_configure \
        override_dh_auto_test

override_dh_auto_configure:
	dh_auto_configure -- \
                -DUSE_HOST_CFLAGS:BOOL=False \
                -DUSE_UPSTREAM_CFLAGS:BOOL=False \
                -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_test:
	# Test are using networking heavily, disabled
	# since they can not run on the build farm
	true

# Upstream release page is generated dynamically taking long time
get-orig-source:
	uscan --timeout 90 --verbose --force-download --repack --compress xz

%:
	dh $@ --parallel --buildsystem=cmake
