=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/ \
 http://gazebosim.org/distributions/ign-transport/releases/ .*ignition-transport4-(\d\.\d\.\d)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
